Package fr.gouv.vitam.scheduler.server.model

# Class VitamJobDetail

java.lang.Object
fr.gouv.vitam.scheduler.server.model.VitamJobDetail

public class VitamJobDetail extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DESCRIPTION`
  `static final String`
  `DURABILITY`
  `static final String`
  `JOB_CLASS`
  `static final String`
  `JOB_DATA_MAP`
  `static final String`
  `KEY`
  `static final String`
  `SHOULD_RECOVER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamJobDetail()`
  `VitamJobDetail(String key, String description, String jobClass, Map<String,Object> jobDataMap, boolean durability, boolean shouldRecover)`
  `VitamJobDetail(org.quartz.JobDetail jobDetail)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `String`
  `getJobClass()`
  `Map<String,Object>`
  `getJobDataMap()`
  `String`
  `getKey()`
  `boolean`
  `isDurability()`
  `boolean`
  `isShouldRecover()`
  `void`
  `setDescription(String description)`
  `void`
  `setDurability(boolean durability)`
  `void`
  `setJobClass(String jobClass)`
  `void`
  `setJobDataMap(Map<String,Object> jobDataMap)`
  `void`
  `setKey(String key)`
  `void`
  `setShouldRecover(boolean shouldRecover)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### KEY

    public static final String KEY
    See Also:
      - Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION
    See Also:
      - Constant Field Values

  - ### JOB_CLASS

    public static final String JOB_CLASS
    See Also:
      - Constant Field Values

  - ### JOB_DATA_MAP

    public static final String JOB_DATA_MAP
    See Also:
      - Constant Field Values

  - ### DURABILITY

    public static final String DURABILITY
    See Also:
      - Constant Field Values

  - ### SHOULD_RECOVER

    public static final String SHOULD_RECOVER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VitamJobDetail

    public VitamJobDetail()

  - ### VitamJobDetail

    public VitamJobDetail(String key, String description, String jobClass, Map<String,Object> jobDataMap, boolean durability, boolean shouldRecover)

  - ### VitamJobDetail

    public VitamJobDetail(org.quartz.JobDetail jobDetail)

- ## Method Details

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getJobClass

    public String getJobClass()

  - ### setJobClass

    public void setJobClass(String jobClass)

  - ### getJobDataMap

    public Map<String,Object> getJobDataMap()

  - ### setJobDataMap

    public void setJobDataMap(Map<String,Object> jobDataMap)

  - ### isDurability

    public boolean isDurability()

  - ### setDurability

    public void setDurability(boolean durability)

  - ### isShouldRecover

    public boolean isShouldRecover()

  - ### setShouldRecover

    public void setShouldRecover(boolean shouldRecover)

  - ### getKey

    public String getKey()

  - ### setKey

    public void setKey(String key)